凌云实验室推出的ARM Linux物联网网关开发板IGKBoard(IoT Gateway Kit Board)项目源码
guowenxue
2021-12-18 18fde802fc7633a179a9bb81f16760a94692c54b
add wpa_supplicant start script
1 files modified
2 files added
72 ■■■■■ changed files
bsp/rootfs/build.sh 30 ●●●●● patch | view | raw | blame | history
bsp/rootfs/files/S30WpaSupplicant 33 ●●●●● patch | view | raw | blame | history
bsp/rootfs/files/wpa_supplicant.conf 9 ●●●●● patch | view | raw | blame | history
bsp/rootfs/build.sh
@@ -20,6 +20,7 @@
DEF_HOSTNAME=${BOARD}
APT_CONF=extra_apps.json
PATCH_PATH=${PRJ_PATH}/files
set -u
set -e
@@ -170,11 +171,38 @@
    fi
}
function do_buildroot()
{
    if [ $ROOTFS != "buildroot" ] ; then
        return ;
    fi
    # add vim alias for vim
    grep "alias vim=" ${ROOTFS_DIR}/etc/profile > /dev/null 2>&1
    if [ $? != 0 ] ; then
       echo "alias vim='vi'" >> ${ROOTFS_DIR}/etc/profile
    fi
    if [ -s ${PATCH_PATH}/S30WpaSupplicant ] ; then
        cp ${PATCH_PATH}/S30WpaSupplicant ${ROOTFS_DIR}/etc/init.d/
        chmod a+x ${ROOTFS_DIR}/etc/init.d/S30WpaSupplicant
    fi
    if [ -s ${PATCH_PATH}/wpa_supplicant.conf ] ; then
        cp ${PATCH_PATH}/wpa_supplicant.conf ${ROOTFS_DIR}/etc/
    fi
    printf "\n\n -- modify buildroot rootfs done --\n\n"
}
function do_modify()
{
    msg_banner " modify rootfs environment"
    set +e
    # modify for buildroot rootfs
    do_buildroot
    # update hostnmae and issue
    echo "Welcome to LingYun IoT Gateway Kit Board GNU/Linux $ROOTFS system, default password '$DEF_PASSWD'." > ${ROOTFS_DIR}/etc/issue
@@ -194,7 +222,7 @@
    # add ls alias for display with color
    grep "color=auto" ${ROOTFS_DIR}/etc/profile > /dev/null 2>&1
    grep "^alias ls=" ${ROOTFS_DIR}/etc/profile > /dev/null 2>&1
    if [ $? != 0 ] ; then
       echo "alias ls='ls --color=auto'" >> ${ROOTFS_DIR}/etc/profile
    fi
bsp/rootfs/files/S30WpaSupplicant
New file
@@ -0,0 +1,33 @@
#!/bin/sh
#
# Start the network....
#
APP_NAME=wpa_supplicant
CONF_FILE=/etc/wpa_supplicant.conf
case "$1" in
  start)
    printf "Starting ${APP_NAME}: "
    [ -f $CONF_FILE ] || echo "FAIL"
    start-stop-daemon -S -q -m -b -p /var/run/${APP_NAME}.pid \
    --exec /usr/sbin/${APP_NAME} \
    -- -iwlan0 -c ${CONF_FILE}
    [ $? = 0 ] && echo "OK" || echo "FAIL"
    ;;
  stop)
    printf "Stopping ${APP_NAME}: "
    start-stop-daemon -K -q -p /var/run/${APP_NAME}.pid
    [ $? = 0 ] && echo "OK" || echo "FAIL"
    ;;
  restart|reload)
    "$0" stop
    "$0" start
    ;;
  *)
    echo "Usage: $0 {start|stop|restart}"
    exit 1
esac
exit $?
bsp/rootfs/files/wpa_supplicant.conf
New file
@@ -0,0 +1,9 @@
ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=0
update_config=1
network={
 scan_ssid=1
 ssid=""
 psk=""
}